Package org.globus.gsi.provider

# Interface SigningPolicyStore

All Known Implementing Classes:
  `ResourceSigningPolicyStore`, `SimpleMemorySigningPolicyStore`

public interface SigningPolicyStore
// JGLOBUS-91

## Method Summary

Modifier and Type
Method
Description
`SigningPolicy`
`getSigningPolicy(X500Principal caPrincipal)`
JGLOBUS-87

## Method Details

### getSigningPolicy

SigningPolicy getSigningPolicy(X500Principal caPrincipal) throws SigningPolicyStoreException
JGLOBUS-87

Parameters:
  `caPrincipal` - Document Me.
Returns:
  Document Me.
Throws:
  `SigningPolicyStoreException` - Document Me.